---
title: 'Learning Obsidian'
text: "Unfortunately, this is a rewrite. The reason for that is, basically, the content of this post. How meta! First, let's set the stage:\n\n# Note taking\n\nI have always had a problem with note taking. Not the act, but the tools I used for it. Most recently I used Cherrytree for my personal notes and OneNote for my work notes. The first pretty much always worked and provided what I desired: a solid node/subnode organization of notes, easily copy and paste screenshots (quite handy for malware analysis and incident response) and rapid search. OneNote,  on the other hand, integrated tightly with my day-to-day Microsoft environment and has a great search-everything-everywhere hotkey (`Ctrl-e`). Another **awesome** feature is searching text in screenshots: how handy is that for a screengrab with some .exe or log line in it! On the side, I was also using Pandoc on [Yunohost](https://www.yunohost.org) with the (rather futile) hope of publishing these notes somewhere.\n\n## So, what's wrong?\n\nThe main issue I always seem to come across with note taking is that it gets messy: files are disorganized, I'm using two tools at once (Cherrytree, Pandoc), I can't focus on what I want to do with the notes, etc. Last week, for about the third time I think, I came across [Obsidian](https://obsidian.md) again. Knowing how tightly it can integrate with a (Neo)vim workflow and how it's basically editing Markdown files, I started thinking: why don't I try that? So, this weekend I installed Obsidian on my working laptop and started using it.\n\n## My setup\n\nBefore I describe what I love (and love less ;)) about Obsidian, I want to describe my setup:\n\n* Obsidian on my work laptop and personal iPhone, syncing over iCloudDrive\n* Symlinks from my WSL-distribution Fedora to Obsidian-vaults, one for personal- and one for work-related notes\n* My [Git-controlled](https://code.joostagterhoek.nl/joost/website-grav) website pages for my blog, home page and portfolio\n\nThis took some time to set up, but ultimately, it did seem to offer what I want: one flat-file environment from which I can use either Neovim to grep and fuzzy find with Telescope and quickly fill out blog post templates with [this Obsidian-plugin](https://github.com/epwalsh/obsidian.nvim), or use my phone or laptop client to quickly edit a file or move stuff around. Additionally the [Dataview-plugin that allows programmable views into notes](https://blacksmithgu.github.io/obsidian-dataview/reference/functions/#dateformatdatedatetime-string) is awesome: I already built my own mini-ticketing system for monitoring and incident response analysis notes.\n\n### What didn't work\n\nIt was almost perfect, but the point where I got in trouble was when I tried to edit my website pages **inside** Obsidian. Both Grav and Obsidian use YAML. So the YAML Frontmatter needed to describe a blog post, was being interpreted in Neovim and the Obsidian client as meaningful to Obsidian. I tried to work this out by way of [ignoring/excluding folders](https://lostpaul.github.io/obsidian-folder-notes/Features/Exclude%20folders/), but unfortunately, this did not extend to YAML formatting. So with that, the one thing I wanted to use for my website pages, [Templates](https://help.obsidian.md/Plugins/Templates), didn't work (sad face, crying emoji). This did get me down a bit, but still: Obsidian is great, Grav is great. I just have to forget my pipe dream of an ultimate workflow and find solace elsewhere (this [Neovim-template-plugin](https://github.com/nvimdev/template.nvim), hmm...)"
showtitle: '1'
position: main
page_container: container
---

